thermald (2.5.6-2ubuntu0.24.04.5) noble; urgency=medium

  * Remove d/p/0001-Add-NOT_EQUAL-4-comparison-type-for-APCT.patch, since no
    BIOS implementation will require the NOT_EQUAL operation anymore.
    (LP: #2141329)

 -- Luiz Sampaio <luiz.sampaio@canonical.com>  Thu, 26 Mar 2026 10:22:23 +0000

thermald (2.5.6-2ubuntu0.24.04.4) noble; urgency=medium

  * Add support for Intel Wildcat platforms (LP: #2141329)
    - d/p/0001-Add-Wildcat-Lake-to-support-list.patch
    - d/p/0002-Add-sysfs-path-for-Wildcat-Lake.patch
    - d/p/0001-Add-NOT_EQUAL-4-comparison-type-for-APCT.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Tue, 13 Jan 2026 17:03:27 +0800

thermald (2.5.6-2ubuntu0.24.04.3) noble; urgency=medium

  * Add support for Intel Panther Lake platforms (LP: #2122576)
    - d/p/0001-Add-Panther-Lake-to-the-supported-list.patch
    - d/p/0001-Auto-detect-int3400-base-path.patch
    - d/p/0001-Update-Panther-Lake-sysfs-paths.patch
    - d/p/0001-Check-for-target-code-ITMT3.patch
    - d/p/0001-itmt3-support.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Mon, 20 Oct 2025 13:52:10 +0800

thermald (2.5.6-2ubuntu0.24.04.2) noble; urgency=medium

  * Downgrade "Unsupported condition" error messages (LP: #2092701)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Mon, 30 Dec 2024 15:14:27 +0800

thermald (2.5.6-2ubuntu0.24.04.1) noble; urgency=medium

  * Include patches for Intel Core Ultra Processors (Series 2) support,
    also known as Lunar Lake M and Arrow Lake (LP: #2087816)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Tue, 12 Nov 2024 10:05:01 +0800

thermald (2.5.6-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:19:12 +0000

thermald (2.5.6-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:07:22 +0000

thermald (2.5.6-2) unstable; urgency=medium

  * Pull in two upstream dbus releated fixes from RedHat:
    - src: thd_dbus_interface: Fix unable to terminate through Dbus API
    - src: thd_dbus_interface: make dbus-glib section to be managed
      through GDBUS

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 1 Feb 2024 15:20:18 +0000

thermald (2.5.6-1) unstable; urgency=medium

  * sync to thermald 2.5.6
  * Fix typo in previous changelog entry

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 24 Jan 2024 18:14:22 +0000

thermald (2.5.5-1) unstable; urgency=medium

  * sync to thermald 2.5.5

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 23 Jan 2024 09:16:36 +0000

thermald (2.5.4-4) unstable; urgency=medium

  * debian/copyright: update copyright year
  * debian/control: remove obsolute lsb-base from depends, cleans
    up lintian warning

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 14:24:11 +0000

thermald (2.5.4-3) unstable; urgency=medium

  * Fix debian/watch, replace thermal-daemon with thermal_deamon

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 16 Nov 2023 16:00:02 +0000

thermald (2.5.4-2) unstable; urgency=medium

  * Fix homepage URL (Closes: #1050484)
  * Add debian/conffiles, remove ancient /etc/init/thermald.conf
    on update (Closes: #911744)

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 25 Aug 2023 11:29:11 +0100

thermald (2.5.4-1) unstable; urgency=medium

  * sync to thermald 2.5.4
  * Fix fails to build source after successful build (Closes: #1045564)
  * Update standards version to 4.6.2
  * Add watch file
  * Update copyright years

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 14 Aug 2023 08:59:24 +0100

thermald (2.5.3-1) unstable; urgency=medium

  * sync to thermald 2.5.3

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 11 Jul 2023 15:19:17 +0100

thermald (2.5.2-1) unstable; urgency=medium

  * sync to thermald 2.5.2
  * Remove patches now that they are in the 2.5.2 release

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 6 Feb 2023 11:21:31 +0000

thermald (2.5.1-3) unstable; urgency=medium

  * Pull in 2 upstream commits, minor dump improvement and a parse pid fix:
   - Added ReadBack and DebouncePeriod to dump
     upstream patch 0002-Added-ReadBack-and-DebouncePeriod-to-dump.patch
   - Parser PID Parameter initialize
     upstream patch 0003-Parser-PID-Parameter-initialize.patch

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 13 Jan 2023 14:55:11 +0000

thermald (2.5.1-2) unstable; urgency=medium

  * Add Alderlake N in the supported CPU model list
   - upstream patch 0001-Add-AlderLake-N.patch
  * debian/control: update standards version to 4.6.1

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 13 Dec 2022 14:31:23 +0100

thermald (2.5.1-1) unstable; urgency=medium

  * sync to thermald 2.5.1

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 20 Sep 2022 23:38:23 +0100

thermald (2.5.0-1) unstable; urgency=medium

  * sync to thermald 2.5.0

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 20 Jul 2022 09:18:11 +0100

thermald (2.4.9-1) unstable; urgency=medium

  * sync to thermald 2.4.9 (Closes: #1006819)
  * Remove RedHat thermald fixes introduced in previous 2.4.7-2 release
    now that these are in 2.4.9
  * This release contains fixes for Dell Tiger Lake And Alder Lake

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 23 Mar 2022 09:31:22 +0000

thermald (2.4.7-2) unstable; urgency=medium

  * Pull in RedHat thermald fixes (Closes: #1005478)
    - Properly reading evdev devices
    - Splitting thd_engine_start into two; as otherwise we may print
      useless warnings (sensors are read too late for condition
      verification)
    - Using libevdev to read lid state rather than upower (the
      functionality is deprecated) (and FTBFS)
    - Improved cleanup code
      see: https://github.com/benzea/thermal_daemon/tree/ \
      benzea/adaptive-improvements
   * Update maintainer email address

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 23 Feb 2022 18:14:12 +0000

thermald (2.4.7-1) unstable; urgency=medium

  * sync with latest upstream release 2.4.7

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 11 Jan 2022 08:31:11 +0000

thermald (2.4.6-2) unstable; urgency=medium

   * Jasper Lake CPU support (LP: #1940629)
     - 0001-Added-Jasper-Lake-CPU-model.patch

 -- Colin King <colin.king@canonical.com>  Fri, 20 Aug 2021 15:46:15 +0100

thermald (2.4.6-1) unstable; urgency=medium

  * sync with latest upstream release 2.4.6:
   - fix overheating Latitude 7400 (LP: #1930422)
   - Use Adaptive PPCC limits for RAPL MMIO
   - Increase power limit for disabled RAPL-MMIO
   - Special case for default PSVT
  * 2.4.5 fixes:
   - Set a very high RAPL MSR PL1 with --adaptive

 -- Colin King <colin.king@canonical.com>  Wed, 9 Jun 2021 16:58:23 +0100

thermald (2.4.3-2) unstable; urgency=medium

  * Disable some older legacy patches to keep thermald close to upstream
    release, disable:
    - 0002-Don-t-keep-on-reading-a-sensor-if-the-temperature-is.patch
    - 0003-thermald-fix-uninitialised-member.patch
    - 0004-Remove-processing-when-trip-was-not-activates.patch

 -- Colin King <colin.king@canonical.com>  Tue, 8 Mar 2021 22:37:12 +0000

thermald (2.4.3-1) unstable; urgency=medium

  * sync with latest upstream release 2.4.3 (LP: #1917608)
  * debian/rules remove "HERE" debug message

 -- Colin King <colin.king@canonical.com>  Wed, 3 Mar 2021 10:42:47 +0000

thermald (2.4.2-1) unstable; urgency=medium

  * sync with latest upstream release 2.4.2

 -- Colin King <colin.king@canonical.com>  Fri, 5 Feb 2021 16:10:23 +0000

thermald (2.4.1-1) unstable; urgency=medium

  * sync with latest upstream release 2.4.1
   - drop patches that are in 2.4.1

 -- Colin King <colin.king@canonical.com>  Thu, 10 Dec 2020 17:00:01 +0000

thermald (2.3-5) unstable; urgency=medium

  * Pull in latest upstream fixes:
    [Benjamin Berg]
    - 0009-adaptive-Improve-logging-of-high-order-Oem-condition.patch
    - 0010-adaptive-Move-merging-dumping-out-of-gddv-parsing.patch
    - 0011-adaptive-Properly-parse-data-vault-objects-recursive.patch
    - 0012-adaptive-Log-name-of-unknown-condition-if-known.patch
    - 0013-adaptive-Use-Oem0-constant-instead-of-19-which-is-le.patch
    - 0014-adaptive-Implement-dummy-power-slider-condition.patch
    - 0016-engine-Throw-different-errors-for-startup-issues.patch
    - 0017-Use-special-exit-code-of-2-for-unsupported-platforms.patch
    - 0018-data-Restart-systemd-service-on-failure.patch
    [Srinivas Pandruvada]
    - 0015-Added-Cometlake-and-Rocketlake-CPU-models.patch
    - 0019-Allow-base-path-change-for-INT3400.patch

 -- Colin King <colin.king@canonical.com>  Wed, 28 Oct 2020 17:16:34 +0000

thermald (2.3-4) unstable; urgency=medium

  * Fix Homepage field in debian/control (Closes: #971246)
    - use https://01.org/linux-thermal-daemon

 -- Colin King <colin.king@canonical.com>  Mon, 28 Sep 2020 09:55:23 +0100

thermald (2.3-3) unstable; urgency=medium

  * Add Cometlake and Rocketlake CPU models (LP: #1896419)
    [Srinivas Pandruvada]
    - 7f2003ee911d Added Cometlake and Rocketlake CPU models

 -- Colin King <colin.king@canonical.com>  Mon, 21 Sep 2020 16:04:11 +0100

thermald (2.3-2) unstable; urgency=medium

  * Pull in latest upstream bug fixes to 2.3, patches 0005-0008*
   [Benjamin Berg]
    - 0710804c2c27 adaptive: Fix 64bit printing on non-64bit machines
      Fixes FTBFS on 32 bit systems
    - 8c283e472fa3 Fix path for Lenovo kill-switch heuristic
      The path was missing the /sys prefix, rendering the test useless.
      Add the appropriate prefix and also a comment explaining why we
      do this.
   [Srinivas Pandruvada]
    - d14d4b69a4e8 Replace thd_log_fatal with thd_log_warn
      Since --adaptive by default when parsing fails to revert to non
      adaptive. But thd_log_fatal will cause it to exit. Instead display
      warning and catch error and continue with non adaptive
    - 32dc5502245b Continue for PSVT version != 2
      Error out only when version is > 2.

 -- Colin King <colin.king@canonical.com>  Tue, 8 Sep 2020 09:55:27 +0100

thermald (2.3-1) unstable; urgency=medium

  * sync with latest upstream release 2.3
  * Debain/control: Add more dependencies

 -- Colin King <colin.king@canonical.com>  Fri, 21 Aug 2020 09:26:11 +0100

thermald (2.1-2) unstable; urgency=medium

  * Debian/control: Add Rules-Requires-Root: no
  * Debian/control: Reformat Build-Depends entries
  * Debian/control: remove quilt from Build-Depends

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 21:59:37 +0100

thermald (2.1-1) unstable; urgency=medium

  * sync with latest upstream release 2.1
  * Add autoconf-archive to Build-Depends
  * Add debhelper-compat (=12), remove debian/compat

 -- Colin King <colin.king@canonical.com>  Tue, 12 May 2020 11:01:23 +0100

thermald (1.9.1-1ubuntu1) groovy; urgency=medium

  * Intel Tiger Lake support (LP: #1876066)

 -- Alex Tu <alex.tu@canonical.com>  Thu, 30 Apr 2020 18:16:16 +0800

thermald (1.9.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:29:32 +0100

thermald (1.9.1-1) unstable; urgency=medium

  * sync with latest upstream release 1.9.1
  * Add upstream fix:
    - baed10762219 Fix debug information for cdev

 -- Colin King <colin.king@canonical.com>  Sun, 15 Dec 2019 22:18:11 +0000

thermald (1.9.0-1) unstable; urgency=medium

  * sync with latest upstream release 1.9 (LP: #1838590)
  * Add upstream fix:
    - dcdaf523393a Use correct format specifier for size_t
  * Update postinst, postrm, postpreinst rn_conffile package version
  * Update debian/compat to 12

 -- Colin King <colin.king@canonical.com>  Mon, 5 Aug 2019 09:12:15 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog thermald`.
